Subject: GRO aggregation

From: Shlomo Pongartz <[email-masked]>
Date: Tue, 11 Sep 2012 16:45:07 +0300

Hi,

I’m checking GRO aggregation with kernel 3.6.0-rc1+ using Intel ixgbe 
driver.
The mtu is 1500 and GRO is on and so are SG and RX checksum.
I ran iperf with default setting and monitor the receiver with tcpdump.
The tcpdump shows that the maximal aggregation is 32120 which is 21 * 1500.
In the transmitter side tcpdump shows that TSO works better (~64K).
I did a capture without GRO enabled to see if there was a difference 
between any flag
of any two consecutive packets that forced flushing but didn't find 
anything.
Is the GRO aggregation can be tuned.

Shlomo Pongratz